﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{

    protected void Page_Load(object sender, EventArgs e)
    {

        if (!IsPostBack)
        {// First load 
            RadFileExplorer1.Configuration.ViewPaths = new string[] { "~/ROOT/Folder_1/" };
        }
        else
        {// A postback ;
            RadFileExplorer1.TreeView.Nodes.Clear();
            Control postbackControl = GetPostBackControl(this);// get the control that is coused the post back ;


            // For example :
            if (postbackControl.ID == "Button1")
            {// Is this is the first button 
                RadFileExplorer1.Configuration.ViewPaths = new string[] { "~/ROOT/Folder_1/" };
            }
            else
            {// No this is the second button
                RadFileExplorer1.Configuration.ViewPaths = new string[] { "~/ROOT/Folder_2/" };
            }
        }

    }

    public static Control GetPostBackControl(Page page)
    {
        Control control = null;
        string ctrlname = page.Request.Params["__EVENTTARGET"];
        if (ctrlname != null && ctrlname != String.Empty)
        {
            control = page.FindControl(ctrlname);
        }
        // if __EVENTTARGET is null, the control is a button type and we need to 
        // iterate over the form collection to find it
        else
        {
            string ctrlStr = String.Empty;
            Control c = null;
            foreach (string ctl in page.Request.Form)
            {
                // handle ImageButton controls ...
                if (ctl.EndsWith(".x") || ctl.EndsWith(".y"))
                {
                    ctrlStr = ctl.Substring(0, ctl.Length - 2);
                    c = page.FindControl(ctrlStr);
                }
                else
                {
                    c = page.FindControl(ctl);
                }
                if (c is System.Web.UI.WebControls.Button ||
                         c is System.Web.UI.WebControls.ImageButton)
                {
                    control = c;
                    break;
                }
            }
        }
        return control;
    }
    protected void Button1_Click(object sender, EventArgs e)
    {

    }
    protected void Button2_Click(object sender, EventArgs e)
    {

    }
}